Subject: [xml2rfc] Including files not in CWD
From: [email-masked] (Marshall Rose)
Date: Tue, 15 Jul 2003 05:21:57 +0200

> I'm using xml2rfc (1.19) to convert generic documentation that I'm 
> writing.  I was trying to include files doing something like

i am concerned that removing that test might introduce an unexpected
consequence; however, since the file is used for reading, and not
writing,
i guess we can live without that test.

/mtr

From: [email-masked] (Chad M Stewart)
Date: Mon, 14 Jul 2003 11:25:54 -0400
Subject: [xml2rfc] Including files not in CWD
Message-ID: <[email-masked]>

I'm using xml2rfc (1.19) to convert generic documentation that I'm 
writing.  I was trying to include files doing something like

<?rfc include="../configs/mta_backend_config/configutil.dump" ?>

I would get an error

invalid include configs/mta_backend_config/configutil.dump

I do not know TCL so I tried commenting out that seems to have fixed my 
issue. The lines I commented out were

<         # if {![regexp -nocase -- {^[a-z0-9.@-]+$} $y]} {
<         #     error "invalid include $y"
<         # }

I'd include a diff report, but alas I've changed HTML stuff as well.  I 
don't know if I've have introduced any issues. ;-)

I'm not a member of this list, so please include me on any replies.

Regards,
Chad

From: [email-masked] (Fred Templin)
Date: Thu, 10 Jul 2003 10:01:25 -0700
Subject: [xml2rfc] Help with authors
References: <[email-masked]>	<[email-masked]>	<[email-masked]>	<20030710073251.F1648@sbrim-w2k01> <[email-masked]>
Message-ID: <[email-masked]>

Henrik Levkowetz wrote:

>So maybe more appropriate than being able to suppress front page listing
>as author for the <author /> element would be to have a new element
><contributor /> with the same sub-elements as <author />, but which
>would only generate address listings for the contributors at the end of
>a document, and maybe only when a switch <?rfc contributors="yes"?> was
>set?
>
>	Henrik
>

This sounds like the right approach in light of section 2.12 of
'draft-rfc-editor-rfc2223bis-06.txt' (pointed out earlier by Julian 
Reschke).

There are a growing number of RFCs that list a small number of 
authors/editors
on the first page with possibly many contributers and their addresses at 
the end.
See for example RFCs 3569, 3469, 3460, etc.

Fred
[email-masked]

    

From: [email-masked] (Henrik Levkowetz)
Date: Thu, 10 Jul 2003 15:06:01 +0200
Subject: [xml2rfc] Help with authors
In-Reply-To: <20030710073251.F1648@sbrim-w2k01>
References: <[email-masked]> <[email-masked]> <[email-masked]> <20030710073251.F1648@sbrim-w2k01>
Message-ID: <[email-masked]>

On Thursday, 10 Jul 2003, Scott wrote:

> On Thu, Jul 10, 2003 12:16:12PM +0200, Henrik Levkowetz allegedly wrote:
> > I've also recently needed this kind of output - I did a workaround by
> > including all the authors, then editing the xml2rfc output to remove the
> > unwanted ones from the first page. But this of course makes the first
> > page come out too short.
> > 
> > With the current guidelines requireing no more than 5 authors, while
> > more people may be very actively engaged in working on a draft, it
> > seems to me that it would be a feature to be able to suppress the
> > first-page listing of <author />s, while keeping the author address
> > listing at the end, at least while generating drafts.
> 
> I suppose you could list addresses in the contributors section, but
> having many people responsible for the document causes logistics
> and possibly legal problems.

Right, I understand. 

So maybe more appropriate than being able to suppress front page listing
as author for the <author /> element would be to have a new element
<contributor /> with the same sub-elements as <author />, but which
would only generate address listings for the contributors at the end of
a document, and maybe only when a switch <?rfc contributors="yes"?> was
set?

	Henrik

-- 
Error message in Haiku form:

  Printer not ready.
  Could be a fatal error.
  Have a pen handy?

    -- Pat Davis 

From: [email-masked] (Scott W Brim)
Date: Thu, 10 Jul 2003 07:32:51 -0400
Subject: [xml2rfc] Help with authors
In-Reply-To: <[email-masked]>; from [email-masked] on Thu, Jul 10, 2003 at 12:16:12PM +0200
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <20030710073251.F1648@sbrim-w2k01>

On Thu, Jul 10, 2003 12:16:12PM +0200, Henrik Levkowetz allegedly wrote:
> I've also recently needed this kind of output - I did a workaround by
> including all the authors, then editing the xml2rfc output to remove the
> unwanted ones from the first page. But this of course makes the first
> page come out too short.
> 
> With the current guidelines requireing no more than 5 authors, while
> more people may be very actively engaged in working on a draft, it
> seems to me that it would be a feature to be able to suppress the
> first-page listing of <author />s, while keeping the author address
> listing at the end, at least while generating drafts.

I suppose you could list addresses in the contributors section, but
having many people responsible for the document causes logistics
and possibly legal problems.

From: [email-masked] (Randy Bush)
Date: Thu, 10 Jul 2003 12:21:03 +0200
Subject: [xml2rfc] Help with authors
References: <[email-masked]> <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

> Return-path: <[email-masked]>
> Received: from psg.com ([147.28.0.62] ident=mailnull)
> 	by ran.psg.com with esmtp (Exim 4.20)
> 	id 19aYV0-0009s7-Nt
> 	for [email-masked]; Thu, 10 Jul 2003 03:18:02 -0700
> Received: from [64.168.10.251] (helo=qawoor.dbc.mtview.ca.us)
> 	by psg.com with esmtp (Exim 4.14)
> 	id 19aYUz-000GYx-P0
> 	for [email-masked]; Thu, 10 Jul 2003 10:18:01 +0000
> Received: from qawoor.dbc.mtview.ca.us (localhost [127.0.0.1])
> 	by qawoor.dbc.mtview.ca.us (8.11.5/8.11.5) with ESMTP id h6AAHE824524;
> 	Thu, 10 Jul 2003 03:17:14 -0700 (PDT)
> Received: from mailgw.local.ipunplugged.com (213.80.52.78.dataphone.se [213.80.52.78] (may be forged))
> 	by qawoor.dbc.mtview.ca.us (8.11.5/8.11.5) with ESMTP id h6AAGZ824507
> 	for <[email-masked]>; Thu, 10 Jul 2003 03:16:36 -0700 (PDT)
> Received: from zinfandel.local.ipunplugged.com (chardonnay.local.ipunplugged.com [192.168.4.44])
> 	by mailgw.local.ipunplugged.com (8.12.8/8.12.3) with SMTP id h6AAGDai008128;
> 	Thu, 10 Jul 2003 12:16:13 +0200
> Message-Id: <[email-masked]>
> In-Reply-To: <[email-masked]>
> References: <[email-masked]>
> 	<[email-masked]>
> X-Mailer: Sylpheed version 0.8.11claws141 (GTK+ 1.2.10; i386-debian-linux-gnu)
> Mime-Version: 1.0
> Content-Type: text/plain; charset=US-ASCII
> Content-Transfer-Encoding: 7bit
> X-RAVMilter-Version: 8.4.4(snapshot 20030410) (mailgw.local.ipunplugged.com)
> Sender: [email-masked]
> Errors-To: [email-masked]
> X-BeenThere: [email-masked]
> X-Mailman-Version: 2.0.6
> Precedence: bulk
> List-Help: <mailto:[email-masked]?subject=help>
> List-Post: <mailto:[email-masked]>
> List-Subscribe: <http://lists.xml.resource.org/mailman/listinfo/xml2rfc>,
> 	<mailto:[email-masked]?subject=subscribe>
> List-Id: Mailing list for software packages implementing rfc2629 <xml2rfc.lists.xml.resource.org>
> List-Unsubscribe: <http://lists.xml.resource.org/mailman/listinfo/xml2rfc>,
> 	<mailto:[email-masked]?subject=unsubscribe>
> List-Archive: <http://lists.xml.resource.org/pipermail/xml2rfc/>
> With the current guidelines requireing no more than 5 authors, while
> more people may be very actively engaged in working on a draft, it
> seems to me that it would be a feature to be able to suppress the
> first-page listing of <author />s, while keeping the author address
> listing at the end, at least while generating drafts.

i would like per-author suppression

randy

From: [email-masked] (Henrik Levkowetz)
Date: Thu, 10 Jul 2003 12:16:12 +0200
Subject: [xml2rfc] Help with authors
In-Reply-To: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

I've also recently needed this kind of output - I did a workaround by
including all the authors, then editing the xml2rfc output to remove the
unwanted ones from the first page. But this of course makes the first
page come out too short.

With the current guidelines requireing no more than 5 authors, while
more people may be very actively engaged in working on a draft, it
seems to me that it would be a feature to be able to suppress the
first-page listing of <author />s, while keeping the author address
listing at the end, at least while generating drafts.

	Henrik

On Wednesday,  9 Jul 2003, Fred Templin wrote:

> I have a long list of authors; one of whom is designated as the document 
> editor.
> I want only the editor's name to show up in the upper right hand corner 
> of the
> front page, but I want all authors to show up in the "Authors Addresses" 
> section
> at the end of the document.
> 
> How do I accomplish this?
> 
> Fred
> [email-masked]

From: [email-masked] (Julian Reschke)
Date: Thu, 10 Jul 2003 08:38:24 +0200
Subject: [xml2rfc] Help with authors
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Fred Templin
> Sent: Thursday, July 10, 2003 2:09 AM
> To: [email-masked]
> Subject: [xml2rfc] Help with authors
>
>
> I have a long list of authors; one of whom is designated as the document
> editor.
> I want only the editor's name to show up in the upper right hand corner
> of the
> front page, but I want all authors to show up in the "Authors Addresses"
> section
> at the end of the document.
>
> How do I accomplish this?

You can't do this with xml2rfc, and I don't think that's a concept that
RFC2223(bis) supports (see [1], section 2.12).

Julian

[1] <http://www.ietf.org/internet-drafts/draft-rfc-editor-rfc2223bis-06.txt>

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

From: [email-masked] (Fred Templin)
Date: Wed, 09 Jul 2003 17:09:00 -0700
Subject: [xml2rfc] Help with authors
References: <[email-masked]>
Message-ID: <[email-masked]>

I have a long list of authors; one of whom is designated as the document 
editor.
I want only the editor's name to show up in the upper right hand corner 
of the
front page, but I want all authors to show up in the "Authors Addresses" 
section
at the end of the document.

How do I accomplish this?

Fred
[email-masked]

From: [email-masked] (Carl Malamud)
Date: Tue, 8 Jul 2003 10:35:25 -0700 (PDT)
Subject: [xml2rfc] some qa help
Message-ID: <[email-masked]>

Hi -

I've been going through the html output of xml2rfc trying to get the code
to be a bit more valid (the template dates back to 1999 :).  The
test document is Marshall's internet-draft of rfc2629bis that is
included in the v1.19 distribution.  You can find both Marshall's
original and my mods at:

http://trusted.resource.org/xml2rfc/

I've done some initial testing on Safari 1 (MacOS X),
MSIE 5.2 (MacOS X), MSIE 6.0 (Win 2000), and Lynx 2.8.4
(Solaris), but would be very interested in some feedback
from people on other platforms and browsers to see if I've
broken things.

The main change is to move most markup into the style sheets,
with the exception of some table parameters such as cellpadding.
I've also added meta tags, cleaned up some invalid code, and
added some accessibility stuff.

Any feedback would be appreciated!  After I get some 
feedback, I'll do another round of tweaking, then hand it back
to Marshall for incorporation into a future version of
xml2rfc.

Regards,

Carl

From: [email-masked] (Michael Richardson)
Date: Thu, 03 Jul 2003 12:51:38 -0400
Subject: [xml2rfc] Global numbering
In-Reply-To: Your message of "Thu, 03 Jul 2003 07:40:36 PDT." <[email-masked]>
Message-ID: <[email-masked]>

>>>>> "Carl" == Carl Malamud <[email-masked]> writes:
    >> 
    >> >>>>> "Julian" == Julian Reschke <[email-masked]> writes:
    Julian> <list style="format %d." counter="some-unique-name">
    >> 
    Julian> should do that.
    >> 
    >> Umm... does this mean that I can embed arbitrary Tcl?
    >> 
    >> I hope not, because that significantly changes the security profile of
    >> an .xml2rfc file!
    >> 

    Carl> Hi Michael -

    >> From draft-mrose-writing-rfcs:

    >> The style attribute value for an auto-formatted list
    >> starts with the seven letters "format ",
    >> and is followed by a string which must contain exactly one instance of "%d"
    >> and "%c".

    Carl> So, yes, you can embed arbitrary Tcl as long as it consists of exactly one
    Carl> of the two options above.  If not, your code doesn't run.  :)

  Okay :-)

  Always good to ask such things....

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

From: [email-masked] (Carl Malamud)
Date: Thu, 3 Jul 2003 07:40:36 -0700 (PDT)
Subject: [xml2rfc] Global numbering
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> 
> >>>>> "Julian" == Julian Reschke <[email-masked]> writes:
>     Julian> <list style="format %d." counter="some-unique-name">
> 
>     Julian> should do that.
> 
>   Umm... does this mean that I can embed arbitrary Tcl?
> 
>   I hope not, because that significantly changes the security profile of
> an .xml2rfc file!
> 

Hi Michael -

>From draft-mrose-writing-rfcs:

>The style attribute value for an auto-formatted list
>starts with the seven letters "format ",
>and is followed by a string which must contain exactly one instance of "%d"
>and "%c".

So, yes, you can embed arbitrary Tcl as long as it consists of exactly one
of the two options above.  If not, your code doesn't run.  :)

Carl

From: [email-masked] (Julian Reschke)
Date: Thu, 3 Jul 2003 16:39:48 +0200
Subject: [xml2rfc] Global numbering
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

I don't see any TCL here, but that may be because I don't know any TCL at
all. Be assured, at least the XSLT code only looks for a string starting
with "fomat %".

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Michael
> Richardson
> Sent: Thursday, July 03, 2003 4:27 PM
> To: [email-masked]
> Subject: Re: [xml2rfc] Global numbering
>
>
>
> >>>>> "Julian" == Julian Reschke <[email-masked]> writes:
>     Julian> <list style="format %d." counter="some-unique-name">
>
>     Julian> should do that.
>
>   Umm... does this mean that I can embed arbitrary Tcl?
>
>   I hope not, because that significantly changes the security profile of
> an .xml2rfc file!
>
> ]       ON HUMILITY: to err is human. To moo, bovine.           |
>  firewalls  [
> ]   Michael Richardson, Sandelman Software Works, Ottawa, ON
> |net architect[
> ] [email-masked] http://www.sandelman.ottawa.on.ca/
> |device driver[
> ] panic("Just another Debian GNU/Linux using, kernel hacking,
> security guy"); [
>
>
> _______________________________________________
> xml2rfc mailing list
> [email-masked]
> http://lists.xml.resource.org/mailman/listinfo/xml2rfc
>

From: [email-masked] (Michael Richardson)
Date: Thu, 03 Jul 2003 10:26:58 -0400
Subject: [xml2rfc] Global numbering
In-Reply-To: Your message of "Mon, 30 Jun 2003 09:36:31 +0200." <[email-masked]>
Message-ID: <[email-masked]>

>>>>> "Julian" == Julian Reschke <[email-masked]> writes:
    Julian> <list style="format %d." counter="some-unique-name">

    Julian> should do that.

  Umm... does this mean that I can embed arbitrary Tcl?

  I hope not, because that significantly changes the security profile of
an .xml2rfc file!

]       ON HUMILITY: to err is human. To moo, bovine.           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

From: [email-masked] (Trevor Perrin)
Date: Thu, 03 Jul 2003 01:07:27 -0700
Subject: [xml2rfc] html hanging list cosmetics
In-Reply-To: <[email-masked]. ca.us>
References: <[email-masked]> <[email-masked]>
Message-ID: <[email-masked]>

At 11:50 PM 6/30/2003 -0700, Marshall Rose wrote:
>Content-Transfer-Encoding: 7bit
>
> > I'm finding this tool very helpful.  A few cosmetic things:
> > ...
>
>i'll respond in greater detail later on. for now, if you really care
>about getting good html output, you should use julian's xslt mapping
>instead of the one hard-coded into xml2rfc.
>
>you can find rfc2629.xslt in the tarball...

Thanks, I tried the xslt but ran into problems, using MSXML 4.0 SP 2 [1], 
and 4xslt [2].

With MSXML (text copied from the python interpreter):

">>> process_with_msxslt("rfc2629.xslt", "sample.xml", "output.html")
Traceback (most recent call last):
   File "<stdin>", line 1, in ?
   File "xml2rfc.py", line 10, in process_with_msxslt
     output = xml.transformNode(xslt)
   File "<COMObject Msxml2.DOMDocument.4.0>", line 3, in transformNode
pywintypes.com_error: (-2147352567, 'Exception occurred.', (0, 
'msxml4.dll', 'Ex
pression must evaluate to a node-set.\r\n\n-->$copyright<--', None, 0, 
-21474672
59), None)
 >>>
 >>> process_with_msxslt("rfc2629.xslt", "rfc2629.xml", "output.html")
Traceback (most recent call last):
   File "<stdin>", line 1, in ?
   File "xml2rfc.py", line 10, in process_with_msxslt
     output = xml.transformNode(xslt)
   File "<COMObject Msxml2.DOMDocument.4.0>", line 3, in transformNode
pywintypes.com_error: (-2147352567, 'Exception occurred.', (0, 
'msxml4.dll', 'Ex
pression must evaluate to a node-set.\r\n\n-->$copyright<--', None, 0, 
-21474672
59), None)
 >>>"

With 4XSLT (from the command line):

"C:\source\xml2rfc>
C:\source\xml2rfc>4xslt sample.xml rfc2629.xslt > output.html
Source document (file:///C|/source/xml2rfc/sample.xml): 1:19:syntax error

C:\source\xml2rfc>
C:\source\xml2rfc>4xslt rfc2629.xml rfc2629.xslt > output.html
STYLESHEET MESSAGE:

       The following anchor names may collide with internally generated 
anchors b
ecause of their prefix "rfc":
       rfc, rfc.dtd
END STYLESHEET MESSAGE
An unexpected error occurred while processing.
The error was: RuntimeError: In stylesheet 
file:///C|/source/xml2rfc/rfc2629.xsl
t, line 1117, column 2 in "$lc/myns:item | $rc/myns:item":
Lower-level traceback:
Traceback (most recent call last):
   File 
"C:\devTools\Python22\Lib\site-packages\Ft\Xml\Xslt\AttributeInfo.py", li
ne 370, in evaluate
     return self.expression.evaluate(context)
   File 
"C:\devTools\Python22\Lib\site-packages\Ft\Xml\XPath\ParsedExpr.py", line
  338, in evaluate
     left = self._left.evaluate(context)
   File 
"C:\devTools\Python22\Lib\site-packages\Ft\Xml\XPath\ParsedExpr.py", line
  380, in evaluate
     raise TypeError("%s must be node-set, not %s" % (repr(self._left), 
type(node
set).__name__))
TypeError: $lc must be node-set, not Document

Use the -e (stacktrace-on-error) option for a full stack trace.

C:\source\xml2rfc>"

Any idea what's wrong?

[1] 
http://www.microsoft.com/downloads/details.aspx?familyid=3144B72B-B4F2-46DA-B4B6-C5D7485F2B42&displaylang=en
[2] http://4suite.org/index.xhtml

Trevor 

From: [email-masked] (Julian Reschke)
Date: Tue, 1 Jul 2003 09:12:30 +0200
Subject: [xml2rfc] html hanging list cosmetics
In-Reply-To: <[email-masked]>
Message-ID: <[email-masked]>

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Trevor Perrin
> Sent: Tuesday, July 01, 2003 8:11 AM
> To: [email-masked]
> Subject: [xml2rfc] html hanging list cosmetics
>
>
>
> Hello,
>
> I'm finding this tool very helpful.  A few cosmetic things:
>
>   - with list style "hanging", html output doesn't have line
> breaks between
> list elements, like "empty" lists do, or like hanging lists do in text
> output.  My hanging lists look crammed as a result.  Inserting
> <br><br> at
> the end of every <dd> element except the last would fix that, I
> think.  Unless this is working as designed.

I think it's hard to have a spacing that pleases everybody. That being
said -- the right way to change the spacing would be to use CSS, not by
adding line break.

>   - Similarly, when a list element with hangText is followed by one
> without, a new <dt><dd> pair is generated for the second list
> element, but
> with an empty <dt>.  I think it would look better if list elements

That's by design, right?

> following an element with hangText were not separate definitions,
> but were
> just new paragraphs separated by <br><br>.

But I think this isn't what the xml2rfc markup says.

The main issue here is thatt xml2rfc list elements do not allow
paragraph-level content (so <t>). (MTR - we may want to think about that).
As long as this is true, xml2rfc only supports one paragraph/block per list
item properly.

You *may* want to try putting everything into one list item, and add
<vspace/> where you need the blank line. This may work with the current
releases but of course is horrible because it breaks separation between
content markup and presentation.

> But I don't really know html, or know what other constraints are being
> balanced here, so forgive me if these are bad ideas.
>
> Trevor

Hope this help...

--
<green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760

From: [email-masked] (Marshall Rose)
Date: Mon, 30 Jun 2003 23:50:39 -0700
Subject: [xml2rfc] html hanging list cosmetics
In-Reply-To: <[email-masked]>
References: <[email-masked]>
Message-ID: <[email-masked]>

> I'm finding this tool very helpful.  A few cosmetic things:
> ...
    
i'll respond in greater detail later on. for now, if you really care
about getting good html output, you should use julian's xslt mapping
instead of the one hard-coded into xml2rfc.
    
you can find rfc2629.xslt in the tarball...
    
/mtr

From: [email-masked] (Trevor Perrin)
Date: Mon, 30 Jun 2003 23:11:29 -0700
Subject: [xml2rfc] html hanging list cosmetics
Message-ID: <[email-masked]>

Hello,

I'm finding this tool very helpful.  A few cosmetic things:

  - with list style "hanging", html output doesn't have line breaks between 
list elements, like "empty" lists do, or like hanging lists do in text 
output.  My hanging lists look crammed as a result.  Inserting <br><br> at 
the end of every <dd> element except the last would fix that, I 
think.  Unless this is working as designed.

  - Similarly, when a list element with hangText is followed by one 
without, a new <dt><dd> pair is generated for the second list element, but 
with an empty <dt>.  I think it would look better if list elements 
following an element with hangText were not separate definitions, but were 
just new paragraphs separated by <br><br>.

But I don't really know html, or know what other constraints are being 
balanced here, so forgive me if these are bad ideas.

Trevor